Newsgroups: rec.radio.amateur.misc
From: byon@lynx.cecs.csulb.edu (Byon Garrabrant)
Subject: Yaesu FT-5100 CAT/Remote Control Mike Interface
Message-ID: <C69CuA.Cr@csulb.edu>
Sender: news@csulb.edu (News Administration/Rumor Bureau)
Organization: Cal State University, Long Beach
Date: Thu, 29 Apr 1993 18:32:33 GMT
Lines: 59

I own a FT-5100 and became interested in the Remote Control Mike, not
for its wirelessness, but because it can control most of the radio's
features via a serial data stream through the mircophone jack. 
Although I do not own the wireless mike, I was able to build an
interface between my PC and my 5100.  It is somewhat similar to the
CAT interface I have built for my FT-757 HF rig, but mostly like the
interface described in the FT-912R manual (loaned to me via a friend
from Yaesu). I have recently been working on a micro-controller
based radio controller which I use for transmitter hunts, and other
ham related activities, and I plan to allow it to control my 5100
soon, but so far I have only controlled the radio from my PC.  When
using my PC as the source for the serial data, I used a MAX232 chip
for a level conversion between the +/- 12 volts levels on the
computer and the 0-5 volt levels on the radio.  

The serial data paramaters are 4800 N82.  The commands sent to the
radio are simple one byte instructions.  The RMC mode ON command (16)
must be sent before any other command.  When the RMC mode is ON, a
small LCD "RMC" icon will light on the display (see owners manual
under Display).  Also, the Vol, Sql, and Bal knobs are disabled when
in the RMC mode because they will be controlled via serial commands,
but all other buttons are still active.  

The commands are as follows:

0  - RPT            12 - CALL             24 - SQL Up
2  - REV            14 - BAND             26 - VOL Up
4  - MHZ            16 - RMC              28 - BAL Right
6  - D/MR           18 - SUB              30 - BAL Left
8  - TONE           20 - PAGE             32 - SQL Down
10 - LOW            22 - F/W              33 - VOL Down

The interface I built simply wired mike port pin 7 to serial ground
and pins 1 and 3 each through a diode then together, to the serial
source.  Note: I am not a hardware person!  Use this hardware at your
own risk.  

 +----1 7-------------- GND 
 |   2 8 6                      (These can be connected to a MAX232
 | +--3 5   +-+-------- SER IN   or the FIF-232C pins 1 and 3)
 | |   4    | |
 | +--->|---+ |
 +----->|-----+

You can wire 1 and 3 together first, then through 1 diode, but that
disables the UP and DOWN buttons.

I will continue to study this more.  If anyone would like to know
more, or has any corrections or feedback, please email me.    

73 Byon

---------------------------------------------------------------------
Byon Garrabrant               KD6BCH                   byon@csulb.edu
---------------------------------------------------------------------

-- 
Byon Garrabrant  KD6BCH  byon@csulb.edu
 
Copied from the QRZ! Windows Ham Radio CDROM
 
